gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.EnumListItem

Contents

- Exported types
- Methods
  - getName
  - getNick
  - getValue
- Properties
  - name
  - nick
  - value

Description

`GtkEnumListItem` is the type of items in a `EnumList`.

Since: 4.24

Synopsis

- newtype EnumListItem = EnumListItem (ManagedPtr EnumListItem)
- class (GObject o, IsDescendantOf EnumListItem o) => IsEnumListItem o
- toEnumListItem :: (MonadIO m, IsEnumListItem o) => o -> m EnumListItem
- enumListItemGetName :: (HasCallStack, MonadIO m, IsEnumListItem a) => a -> m Text
- enumListItemGetNick :: (HasCallStack, MonadIO m, IsEnumListItem a) => a -> m Text
- enumListItemGetValue :: (HasCallStack, MonadIO m, IsEnumListItem a) => a -> m Int32
- getEnumListItemName :: (MonadIO m, IsEnumListItem o) => o -> m Text
- getEnumListItemNick :: (MonadIO m, IsEnumListItem o) => o -> m Text
- getEnumListItemValue :: (MonadIO m, IsEnumListItem o) => o -> m Int32

# Exported types

newtype EnumListItem Source #

Memory-managed wrapper type.

Constructors

EnumListItem (ManagedPtr EnumListItem) |

#### Instances

Instances details

Eq EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem Methods (==) :: EnumListItem -> EnumListItem -> Bool Source # (/=) :: EnumListItem -> EnumListItem -> Bool Source #
GObject EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem
ManagedPtrNewtype EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem Methods toManagedPtr :: EnumListItem -> ManagedPtr EnumListItem Source #
TypedObject EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem Methods glibType :: IO GType Source #
HasParentTypes EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem
IsGValue (Maybe EnumListItem) Source # | Convert `EnumListItem` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.EnumListItem Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EnumListItem -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EnumListItem) Source #
type ParentTypes EnumListItem Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem type ParentTypes EnumListItem = '[Object]

class (GObject o, IsDescendantOf EnumListItem o) => IsEnumListItem o Source #

Type class for types which can be safely cast to `EnumListItem`, for instance with `toEnumListItem`.

#### Instances

Instances details

(GObject o, IsDescendantOf EnumListItem o) => IsEnumListItem o Source # |
Instance details Defined in GI.Gtk.Objects.EnumListItem

toEnumListItem :: (MonadIO m, IsEnumListItem o) => o -> m EnumListItem Source #

Cast to `EnumListItem`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getName, getNick, getProperty, getQdata, getValue.

#### Setters

setData, setDataFull, setProperty.

## getName

enumListItemGetName Source #

Arguments

:: (HasCallStack, MonadIO m, IsEnumListItem a) |
=> a |
-> m Text | Returns: the enum value name

Gets the enum value name.

## getNick

enumListItemGetNick Source #

Arguments

:: (HasCallStack, MonadIO m, IsEnumListItem a) |
=> a |
-> m Text | Returns: the enum value nick

Gets the enum value nick.

## getValue

enumListItemGetValue Source #

Arguments

:: (HasCallStack, MonadIO m, IsEnumListItem a) |
=> a |
-> m Int32 | Returns: the enum value

Gets the enum value.

# Properties

## name

The enum value name.

Since: 4.24

getEnumListItemName :: (MonadIO m, IsEnumListItem o) => o -> m Text Source #

Get the value of the “`name`” property. When overloading is enabled, this is equivalent to

    get enumListItem #name

## nick

The enum value nick.

Since: 4.24

getEnumListItemNick :: (MonadIO m, IsEnumListItem o) => o -> m Text Source #

Get the value of the “`nick`” property. When overloading is enabled, this is equivalent to

    get enumListItem #nick

## value

The enum value.

Since: 4.24

getEnumListItemValue :: (MonadIO m, IsEnumListItem o) => o -> m Int32 Source #

Get the value of the “`value`” property. When overloading is enabled, this is equivalent to

    get enumListItem #value